Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1315495 - Review Request: ibus-table-coptic - Unicode Ibus keyboard input for Sahidic Coptic
Summary: Review Request: ibus-table-coptic - Unicode Ibus keyboard input for Sahidic C...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2016-03-07 22:42 UTC by Scott Williams
Modified: 2017-12-22 07:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-22 07:38:17 UTC


Attachments (Terms of Use)
cop-greek-kbd.mim (deleted)
2016-11-07 16:47 UTC, Mike FABIAN
no flags Details

Description Scott Williams 2016-03-07 22:42:07 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/vwbusguy/ibus-coptic/ibus-table-coptic.git/plain/ibus-table-coptic.spec?id=8714b73c96a4511938e0ac3a548472e18482f18a
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/vwbusguy/ibus-coptic/fedora-rawhide-x86_64/00166438-ibus-table-coptic/ibus-table-coptic-0.1-4.fc25.src.rpm
Description: Unicode Ibus keyboard input for Sahidic Coptic
Fedora Account System Username: vwbusguy

Other notes:
I've successfully built it for el7,f22,23,24, and rawhide and have setup a copr for it at https://copr.fedorainfracloud.org/coprs/vwbusguy/ibus-coptic/

rpmlint:
$ rpmlint ../SRPMS/ibus-table-coptic-0.1-3.fc23.src.rpm 
ibus-table-coptic.src:8: W: macro-in-comment %{version}
ibus-table-coptic.src: W: invalid-url Source0: ibus-coptic-0.1.zip
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These are related - I commented out the Source0 URL to my upstream git tag in lieu of the properly renamed zip supplied.

upstream: https://github.com/vwbusguy/ibus-coptic/ (version via git tag)

Comment 1 Mairi Dulaney 2016-03-07 23:05:33 UTC
rpmlint ./ibus-table-coptic-0.1-4.fc25.src.rpm 
ibus-table-coptic.src: E: unknown-key RSA#3940b9a9 (MD5
ibus-table-coptic.src:8: W: macro-in-comment %{version}
ibus-table-coptic.src: W: invalid-url Source0: ibus-coptic-0.1.zip



These are things you ought to fix.

Comment 2 Scott Williams 2016-03-07 23:20:09 UTC
Updated to fix Source0.

New spec file: http://copr-dist-git.fedorainfracloud.org/cgit/vwbusguy/ibus-coptic/ibus-table-coptic.git/tree/ibus-table-coptic.spec

New SRPM: https://copr-be.cloud.fedoraproject.org/results/vwbusguy/ibus-coptic/fedora-rawhide-x86_64/00166444-ibus-table-coptic/ibus-table-coptic-0.1-5.fc25.src.rpm

RPMLint output:

$ rpmlint ../SRPMS/ibus-table-coptic-0.1-5.fc23.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 4 fujiwara 2016-08-10 08:11:58 UTC
I don't expect to run ibus-daemon in %post.
It's not verified to run ibus-daemon before the desktop installation is completed.

Comment 5 Mike FABIAN 2016-08-10 08:59:34 UTC
Hi Scott, maybe it would be also useful (or even better?) to add an input method to m17n-db?

If an input method exists in /usr/share/m17n/*.mim, it could also be used in ibus-typing booster.

Comment 6 Parag AN(पराग) 2016-08-10 16:26:39 UTC
Suggestions:
1) Drop following

Requires:       google-noto-sans-coptic-fonts
Obsoletes:      ibus-coptic < 0.1-3

we don't add requirement on fonts and I see there was no such ibus-coptic package existed on Fedora

2) Following is now optional and can be removed
rm -rf $RPM_BUILD_ROOT

3) Please use macros as mentioned here -> https://fedoraproject.org/wiki/Packaging:RPMMacros

/usr/share => %{_datadir}  

4) I see other similar packages are not using %post section which is added here for this package. Also explained in comment#4 here

Please update the package and provide new SPEC and SRPM link by bumping release number and adding related changelog entry.

Comment 7 Jens Petersen 2016-08-12 07:01:50 UTC
Just seconding Mike's suggestion: it would be better to get your keymap into m17n-db.  This is more portable than ibus-table which is primarily for Chinese.

http://www.nongnu.org/m17n/ (though currently inaccessible for me)

Comment 8 Parag AN(पराग) 2016-10-18 10:20:02 UTC
ping vwbusguy, can you reply for above comments?

Comment 9 Mike FABIAN 2016-11-07 16:47:27 UTC
Created attachment 1218128 [details]
cop-greek-kbd.mim

For use with ibus-m17n, the attached file can be used.

You will need to install

    ibus-m17n
    Any suitable Unicode font

Installation

$ mkdir -p ~/.m17n.d/
$ cp cop-greek-kbd.mim ~/.m17n.d/
$ ibus restart

Now ibus should list the newly added input method:

$ ibus  list-engine | grep  -i cop
  m17n:cop:greek-kbd - greek-kbd (m17n)

Now add the input method  using the gnome-control-center
or, on non-Gnome desktops, ibus-setup.

Comment 10 Parag AN(पराग) 2016-12-15 06:20:51 UTC
ping submitter

Comment 11 Parag AN(पराग) 2017-12-22 07:38:17 UTC
Closing this package review, as its more than a year but no response from submitter.

Anyone want to package this please start with new bugzilla report.


Note You need to log in before you can comment on or make changes to this bug.